Package org.apache.tools.ant.taskdefs

# Class Zip.UnicodeExtraField

java.lang.Object
org.apache.tools.ant.types.EnumeratedAttribute
org.apache.tools.ant.taskdefs.Zip.UnicodeExtraField

Enclosing class:
  Zip

    public static final class Zip.UnicodeExtraField
    extends EnumeratedAttribute

Policy for creation of Unicode extra fields: never, always or not-encodeable.

Since:
  Ant 1.8.0

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static Zip.UnicodeExtraField` | `NEVER` |

### Fields inherited from class org.apache.tools.ant.types.EnumeratedAttribute

`value`

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`UnicodeExtraField()` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`ZipOutputStream.UnicodeExtraFieldPolicy` | `getPolicy()` |
`java.lang.String[]` | `getValues()` | This is the only method a subclass needs to implement.

### Methods inherited from class org.apache.tools.ant.types.EnumeratedAttribute

`containsValue, getIndex, getInstance, getValue, indexOfValue, setValue, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### NEVER

public static final Zip.UnicodeExtraField NEVER

## Constructor Details

### UnicodeExtraField

public UnicodeExtraField()

## Method Details

### getValues

public java.lang.String[] getValues()
Description copied from class: `EnumeratedAttribute`
This is the only method a subclass needs to implement.

Specified by:
  `getValues` in class `EnumeratedAttribute`
Returns:
  an array holding all possible values of the enumeration. The order of elements must be fixed so that `indexOfValue(String)` always return the same index for the same value.

### getPolicy

public ZipOutputStream.UnicodeExtraFieldPolicy getPolicy()